## hive 0.1-8

=== DESCRIPTION ===
Package: hive
Version: 0.1-8
Date: 2010-08-08
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE, is an R extension facilitating
        distributed computing via the MapReduce paradigm. It provides
        an easy to use interface to Hadoop, the Hadoop Distributed File
        System (HDFS), and Hadoop Streaming.
Author: Ingo Feinerer and Stefan Theussl
Maintainer: Stefan Theussl <Stefan.Theussl@wu.ac.at>
License: GPL-3
Depends: R (>= 2.9.0), methods, rJava, tools, XML
Enhances: HadoopStreaming
SystemRequirements: Hadoop core >= 0.19.1
        (http://hadoop.apache.org/core/)
Packaged: 2010-12-17 14:08:28 UTC; theussl
Repository: CRAN
Date/Publication: 2010-12-18 07:05:38

## hive 0.1-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hive
-Version: 0.1-8
-Date: 2010-08-08
+Version: 0.1-9
+Date: 2011-01-09
 Title: Hadoop InteractiVE
 Description: Hadoop InteractiVE, is an R extension facilitating
         distributed computing via the MapReduce paradigm. It provides
@@ -13,6 +13,6 @@
 Enhances: HadoopStreaming
 SystemRequirements: Hadoop core >= 0.19.1
         (http://hadoop.apache.org/core/)
-Packaged: 2010-12-17 14:08:28 UTC; theussl
+Packaged: 2011-01-09 16:04:26 UTC; theussl
 Repository: CRAN
-Date/Publication: 2010-12-18 07:05:38
+Date/Publication: 2011-01-10 07:46:39

## hive 0.1-11

=== DESCRIPTION ===
Package: hive
Version: 0.1-11
Date: 2011-11-10
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE, is an R extension facilitating distributed 
             computing via the MapReduce paradigm. It provides an easy to use 
             interface to Hadoop, the Hadoop Distributed File System (HDFS), 
	     and Hadoop Streaming.
Author: Ingo Feinerer and Stefan Theussl
Maintainer: Stefan Theussl <Stefan.Theussl@wu.ac.at>
License: GPL-3
Imports: rJava (>= 0.8-8), tools, XML
Depends: R (>= 2.9.0)
Suggests: rJava (>= 0.8-8)
Enhances: HadoopStreaming
SystemRequirements: Hadoop core >= 0.19.1
        (http://hadoop.apache.org/core/) or CDH3
        (http://www.cloudera.com); standard unix tools (e.g., chmod)
Packaged: 2011-11-10 18:21:21 UTC; theussl
Repository: CRAN
Date/Publication: 2011-11-10 20:00:53

## hive 0.1-12

=== DESCRIPTION ===
Package: hive
Version: 0.1-12
Date: 2011-11-21
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE, is an R extension facilitating distributed 
             computing via the MapReduce paradigm. It provides an easy to use 
             interface to Hadoop, the Hadoop Distributed File System (HDFS), 
	     and Hadoop Streaming.
Authors@R: c(person("Ingo", "Feinerer", role = "aut"), person("Stefan",
        "Theussl", role = c("aut", "cre"), email =
        "Stefan.Theussl@wu.ac.at"))
License: GPL-3
Imports: rJava (>= 0.8-8), tools, XML
Depends: R (>= 2.9.0)
Suggests: rJava (>= 0.8-8)
Enhances: HadoopStreaming
SystemRequirements: Hadoop core >= 0.19.1
        (http://hadoop.apache.org/core/) or CDH3
        (http://www.cloudera.com); standard unix tools (e.g., chmod)
Packaged: 2011-11-21 17:24:51 UTC; theussl
Author: Ingo Feinerer [aut],
  Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@wu.ac.at>
Repository: CRAN
Date/Publication: 2011-11-22 08:45:26

## hive 0.1-13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: hive
-Version: 0.1-12
-Date: 2011-11-21
+Version: 0.1-13
+Date: 2011-11-29
 Title: Hadoop InteractiVE
 Description: Hadoop InteractiVE, is an R extension facilitating distributed 
              computing via the MapReduce paradigm. It provides an easy to use 
@@ -17,9 +17,9 @@
 SystemRequirements: Hadoop core >= 0.19.1
         (http://hadoop.apache.org/core/) or CDH3
         (http://www.cloudera.com); standard unix tools (e.g., chmod)
-Packaged: 2011-11-21 17:24:51 UTC; theussl
+Packaged: 2011-11-29 14:31:30 UTC; theussl
 Author: Ingo Feinerer [aut],
   Stefan Theussl [aut, cre]
 Maintainer: Stefan Theussl <Stefan.Theussl@wu.ac.at>
 Repository: CRAN
-Date/Publication: 2011-11-22 08:45:26
+Date/Publication: 2011-12-01 08:00:17

## hive 0.1-14

=== DESCRIPTION ===
Package: hive
Version: 0.1-14
Date: 2012-02-17
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE, is an R extension facilitating
        distributed computing via the MapReduce paradigm. It provides
        an easy to use interface to Hadoop, the Hadoop Distributed File
        System (HDFS), and Hadoop Streaming.
Authors@R: c(person("Ingo", "Feinerer", role = "aut"), person("Stefan",
        "Theussl", role = c("aut", "cre"), email =
        "Stefan.Theussl@wu.ac.at"))
License: GPL-3
Imports: rJava (>= 0.8-8), tools, XML
Depends: R (>= 2.9.0)
Suggests: rJava (>= 0.8-8)
Enhances: HadoopStreaming
SystemRequirements: Hadoop core >= 0.19.1
        (http://hadoop.apache.org/core/) or CDH3
        (http://www.cloudera.com); standard unix tools (e.g., chmod)
Packaged: 2012-03-06 14:58:56 UTC; theussl
Author: Ingo Feinerer [aut], Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@wu.ac.at>
Repository: CRAN
Date/Publication: 2012-03-06 17:44:44

## hive 0.1-15

=== DESCRIPTION ===
Package: hive
Version: 0.1-15
Date: 2012-06-22
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE, is an R extension facilitating
        distributed computing via the MapReduce paradigm. It provides
        an easy to use interface to Hadoop, the Hadoop Distributed File
        System (HDFS), and Hadoop Streaming.
Authors@R: c(person("Ingo", "Feinerer", role = "aut"), person("Stefan",
        "Theussl", role = c("aut", "cre"), email =
        "Stefan.Theussl@R-project.org"))
License: GPL-3
Imports: rJava (>= 0.9-3), tools, XML
Depends: R (>= 2.9.0)
Suggests: rJava (>= 0.9-3)
Enhances: HadoopStreaming
SystemRequirements: Hadoop core >= 0.19.1 and <= 1.0.3
        (http://hadoop.apache.org/core/) or CDH3
        (http://www.cloudera.com); standard unix tools (e.g., chmod)
Packaged: 2012-06-22 12:59:47 UTC; theussl
Author: Ingo Feinerer [aut], Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@R-project.org>
Repository: CRAN
Date/Publication: 2012-06-22 13:26:00

## hive 0.1-16

=== DESCRIPTION ===
Package: hive
Version: 0.1-16
Date: 2014-02-21
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE, is an R extension facilitating distributed 
             computing via the MapReduce paradigm. It provides an easy to use 
             interface to Hadoop, the Hadoop Distributed File System (HDFS), 
	     and Hadoop Streaming.
Authors@R: c(person("Ingo", "Feinerer", role = "aut"), person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-project.org"))
License: GPL-3
Imports: rJava (>= 0.9-3), tools, XML
Depends: R (>= 2.9.0)
Enhances: HadoopStreaming
SystemRequirements: Hadoop core >= 0.19.1 and <= 1.0.3
        (http://hadoop.apache.org/core/) or CDH3
        (http://www.cloudera.com); standard unix tools (e.g., chmod)
Packaged: 2014-02-21 20:27:08 UTC; theussl
Author: Ingo Feinerer [aut],
  Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@R-project.org>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-02-22 00:29:14

## hive 0.2-0

=== DESCRIPTION ===
Package: hive
Version: 0.2-0
Date: 2015-07-02
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE facilitates distributed 
             computing via the MapReduce paradigm through R and Hadoop. An easy to use 
             interface to Hadoop, the Hadoop Distributed File System (HDFS), 
	     and Hadoop Streaming is provided.
Authors@R: c(person("Ingo", "Feinerer", role = "aut"), person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-project.org"))
License: GPL-3
Imports: methods, rJava (>= 0.9-3), tools, XML
Depends: R (>= 2.9.0)
Enhances: HadoopStreaming
SystemRequirements: Apache Hadoop >= 2.6.0
        (https://hadoop.apache.org/releases.html#Download); Obsolete:
        Hadoop core >= 0.19.1 and <= 1.0.3 or CDH3
        (http://www.cloudera.com); standard unix tools (e.g., chmod)
NeedsCompilation: no
Packaged: 2015-07-03 12:00:09 UTC; theussl
Author: Ingo Feinerer [aut],
  Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@R-project.org>
Repository: CRAN
Date/Publication: 2015-07-03 15:16:19

## hive 0.2-2

=== DESCRIPTION ===
Package: hive
Version: 0.2-2
Date: 2020-01-12
Title: Hadoop InteractiVE
Description: Hadoop InteractiVE facilitates distributed 
             computing via the MapReduce paradigm through R and Hadoop. An easy to use 
             interface to Hadoop, the Hadoop Distributed File System (HDFS), 
	     and Hadoop Streaming is provided.
Authors@R: c(person("Ingo", "Feinerer", role = "aut"), person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-project.org"))
License: GPL-3
Imports: methods, rJava (>= 0.9-3), tools, XML
Depends: R (>= 2.9.0)
Enhances: HadoopStreaming
SystemRequirements: Apache Hadoop >= 2.7.2
        (https://hadoop.apache.org/releases.html#Download); Obsolete:
        Hadoop core >= 0.19.1 and <= 1.0.3 or CDH3
        (https://www.cloudera.com); standard unix tools (e.g., chmod)
NeedsCompilation: no
Packaged: 2020-01-12 16:31:57 UTC; theussl
Author: Ingo Feinerer [aut],
  Stefan Theussl [aut, cre]
Maintainer: Stefan Theussl <Stefan.Theussl@R-project.org>
Repository: CRAN
Date/Publication: 2020-01-12 17:10:02 UTC

## hive 2.1.1+cdh6.3.0

=== debian/changelog ===
hive (2.1.1+cdh6.3.0-1279813.meta1) stable; urgency=medium

  * Packaging for MetaCentrum.

 -- František Dvořák <valtri@civ.zcu.cz>  Fri, 23 Aug 2019 12:28:58 +0200

hive (2.1.1+cdh6.3.0-1279813) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-0483.vpc.cloudera.com>  Thu, 18 Jul 2019 10:12:27 -0700

=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: hive
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7.0.50~), pigz
Standards-Version: 3.8.0
Homepage: http://hive.apache.org/

Package: hive
Architecture: all
Depends: adduser, hadoop-client, bigtop-utils (>= 0.7), zookeeper, hive-jdbc (= ${source:Version}), avro-libs, parquet
Description: Hive is a data warehouse infrastructure built on top of Hadoop
 Hive is a data warehouse infrastructure built on top of Hadoop that provides
 tools to enable easy data summarization, adhoc querying and analysis of large
 datasets data stored in Hadoop files. It provides a mechanism to put structure
 on this data and it also provides a simple query language called Hive QL which
 is based on SQL and which enables users familiar with SQL to query this data.
 At the same time, this language also allows traditional map/reduce programmers
 to be able to plug in their custom mappers and reducers to do more sophisticated 
 analysis which may not be supported by the built-in capabilities of the language.

Package: hive-server
Architecture: all
Depends: hive (= ${source:Version})
Description: Provides a Hive Thrift service
 This optional package hosts a Thrift server for Hive clients across a network to use.

Package: hive-server2
Architecture: all
Depends: hive (= ${source:Version})
Description: Provides a Hive Thrift service with improved concurrency support.
 This optional package hosts a Thrift server for Hive clients across a network to use, with improved concurrency support.

Package: hive-metastore
Architecture: all
Depends: hive (= ${source:Version})
Description: Shared metadata repository for Hive
 This optional package hosts a metadata server for Hive clients across a network to use.

Package: hive-hbase
Architecture: all
Depends: hive (= ${source:Version}), hbase
Conflicts: hive (<< ${source:Version})
Description: Provides integration between Apache HBase and Apache Hive
 This optional package provides integration between Apache HBase and Apache Hive

Package: hive-jdbc
Architecture: all
Depends: hadoop-client
Conflicts: hive (<< ${source:Version})
Description: Provides libraries necessary to connect to Apache Hive via JDBC
 This package provides libraries necessary to connect to Apache Hive via JDBC

Package: hive-hcatalog
Architecture: all
Depends: hadoop, hadoop-hdfs, hive, bigtop-utils (>= 0.7), avro-libs
Description: Apache HCatalog is a table and storage management service.
 Apache HCatalog is a table and storage management service for data created using Apache Hadoop.

Package: hive-webhcat
Architecture: all
Depends: hive-hcatalog (= ${source:Version})
Description: WebHcat provides a REST-like web API for HCatalog and related Hadoop components.
 WebHcat provides a REST-like web API for HCatalog and related Hadoop components.

Package: hive-webhcat-server
Architecture: all
Depends: hive-webhcat (= ${source:Version})
Description: Server for WebHcat.
 Init scripts for WebHcat server

=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=e1e06dfe7de385554f2ec553009ef8452c5fd25a
 HIVE_VERSION=2.1.1+cdh6.3.0
 HIVE_PATCHED_VERSION=2.1.1-cdh6.3.0
 HIVE_BASE_VERSION=2.1.1
 HIVE_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=2.1.1+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

hive_pkg_name=hive

%:
	dh $@

override_dh_auto_build:
	mkdir -p /tmp/debian-hive/.ivy
	env FULL_VERSION=${HIVE_PATCHED_VERSION} bash debian/do-component-build
	touch $@

.PHONY: server
.PHONY: server2
.PHONY: metastore
.PHONY: webhcat-server
server server2 metastore webhcat-server:
	bash debian/init.d.tmpl debian/hive-$@.svc deb debian/${hive_pkg_name}-$@.init

override_dh_auto_install: server server2 metastore webhcat-server
	cp debian/hive-site.xml .
	cp debian/hive.1 .
	cp debian/hive-hcatalog.1 .
	bash debian/install_hive.sh \
	  --prefix=debian/tmp \
	  --build-dir=build/hive-${HIVE_PATCHED_VERSION} \
	  --doc-dir=debian/tmp/usr/share/doc/${hive_pkg_name} \
	  --extra-dir=debian/

	# Workaround for BIGTOP-583
	rm -f debian/tmp/usr/lib/hive/lib/slf4j-log4j12-*.jar
	rm -vf debian/tmp/usr/lib/hive/lib/hbase-common*.jar debian/tmp/usr/lib/hive/lib/hbase-client*.jar \
     debian/tmp/usr/lib/hive/lib/hbase-server*.jar debian/tmp/usr/lib/hive/lib/hbase-hadoop-compat*.jar \
     debian/tmp/usr/lib/hive/lib/hbase-hadoop2-compat*.jar debian/tmp/usr/lib/hive/lib/hbase-protocol*.jar \
     debian/tmp/usr/lib/hive/lib/htrace-core*.jar
	bash debian/generate_install_file.sh \
	   --install-file-name=hive.install \
	   --path-to-scan=debian/tmp/usr/lib/hive/lib/ \
	   --exclude-files="hive-jdbc.install hive-hbase.install" \
	   --include-file=hive.install.include \
	   --prefix=debian/tmp


	ln -s /usr/lib/hbase/hbase-common.jar /usr/lib/hbase/hbase-client.jar /usr/lib/hbase/hbase-server.jar \
	  /usr/lib/hbase/hbase-hadoop-compat.jar /usr/lib/hbase/hbase-hadoop2-compat.jar \
	  /usr/lib/hbase/hbase-protocol.jar /usr/lib/hbase/lib/htrace-core.jar debian/tmp/usr/lib/hive/lib

	# Hive source contains a directory docs/changes that is interpreted a special way in Debian 7+ packaging
	mv docs/changes docs/changes_


override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## hive 2.1.1+cdh6.3.2

=== debian/changelog ===
hive (2.1.1+cdh6.3.2-1605554) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-10a0.vpc.cloudera.com>  Fri, 08 Nov 2019 06:00:36 -0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: misc
 Priority: extra
 Maintainer: Cloudera Inc. <https://issues.cloudera.org>
-Build-Depends: debhelper (>= 7.0.50~), pigz
+Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.8.0
 Homepage: http://hive.apache.org/

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=e1e06dfe7de385554f2ec553009ef8452c5fd25a
- HIVE_VERSION=2.1.1+cdh6.3.0
- HIVE_PATCHED_VERSION=2.1.1-cdh6.3.0
+export COMPONENT_HASH=b3393cf499504df1d2a12d34b4285e5d0c02be11
+ HIVE_VERSION=2.1.1+cdh6.3.2
+ HIVE_PATCHED_VERSION=2.1.1-cdh6.3.2
  HIVE_BASE_VERSION=2.1.1
- HIVE_RELEASE=1279813
+ HIVE_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=2.1.1+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=2.1.1+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with

## hive builder-3.2.10

=== docs/requirements.txt ===
sphinxcontrib-blockdiag
sphinx-argparse
pyyaml
